PDA

View Full Version : What does the other person need ?


soundchaseruk
03-03-2010, 09:17 AM
I am new to PHP and have done some research but cannot read anywhere where it explains how the client (in my case)

So if I code php into my web design, and my client wants access to the pages so that she can update the content at will, what software does she need ? or how does she access the pages and upload changes ?

I don't want to build a php site if she cannot gain access

Please advise me

edbr
03-03-2010, 09:32 AM
you are talikng about CMS , an admin section where pages can be updated, if a page is coded to return data from a database then by updating the database will in turn update the web page(s).
it depends on the scale of the site and what ther client wants to updte images layout.
it may be worth looking at a pre built cms option if you are just getting into php depending on any deadlines you may have

soundchaseruk
03-03-2010, 09:41 AM
thanks so what is CMS ? Sorry to sound stupid. She wants only update some basic data which i said I would do for her, but when I am away there might be a problem, unless I transfer my DW and files to a laptop .

soundchaseruk
03-03-2010, 09:48 AM
Ok i have read about CMS but I use DW CS3 and dont have time to learn new software and skills.

Corrosive
03-03-2010, 10:01 AM
Sometimes when it is only basic changes we build a site using PHP includes and give the owner access to certain included files to make updates. This is only if we are confident that they are up to the job. Otherwise they'll have to pay you to make updates for them. Maybe with a maintenance/update contract so that it doesn't get silly.

Corrosive
03-03-2010, 10:01 AM
On top of that I'd recommend Filezilla for the customer to access the pages of the site.

davidj
03-03-2010, 12:55 PM
Drupal, Joomla, Mambo, Plone, WordPress

Ok i have read about CMS but I use DW CS3 and dont have time to learn new software and skills.

Oh well. One tried

What you need is Genie 1.0.4 with the lamp 2.4 plug-in

edbr
03-04-2010, 12:03 AM
What you need is Genie 1.0.4 with the lamp 2.4 plug-in

do you have a link for this? im having trouble getting my carpet off the ground